-- | A module containing helper functions not directly related to the package
module Helpers where

-- | Tells whether a number is dividable by another
dividableBy :: Int -> Int -> Bool
dividableBy x y = (x `mod` y) == 0

-- | Compute the average of the values in a list of Doubles
mean :: [Double] -> Double
mean xs = foldl (+) (head xs) (drop 1 xs) / realToFrac (length xs)
